*+ F30.PRG
*
* Program generat de catre Bil41 - Contabil Profesional 4.49.282.1991
* Data: 25.03.2019 19:16:26
*
* Sursa: ..\DBFS\RAPFIN\2018\12\micro\DEF\F30.DEF
*
*
* Contine urmatoarele proceduri:
*
*   F30Get   - preia din baza de date in rxcx
*   F30Put   - completeaza rxcx in baza de date
*   F30Ver   - verifica corelatii rxcx
*   F30Comp  - completeaza din SumeP in rxcx
*   F30CompR - completeaza din alte raportari in rxcx
*   F30CTot  - Calculeaza totaluri din rxcx
*   F30DfTot - Defixeaza totaluri
*
*
*-

Procedure F30Get   && Citeste din baza de date


*
* Aceasta procedura citeste din baza de date
* si incarca variabilele rxcx
*

Private cda
Private i
Private j
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F30.DBF' Again Order Tag BI_RAND Alias xyzzzz

 Flush && Asigur datele pe disc

 For i = 1 to 182
    Seek (i)
    If Found() Then
     	For j = 1 to 4
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+"= xyzzzz.BI_C_"+AllTrim(Str(j))
        	&cda
	    EndFor
    Else
     	For j = 1 to 4
        	cda = "r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" = 0"
        	&cda
	    EndFor
    EndIf
EndFor


Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)


Return &&F30Get()


Procedure F30Put   && Scrie in baza de date


*
* Aceasta procedura scrie in baza de date variabilele rxcx
* 

Private cda
Private i
Private j
Private l
Private c
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Select 0
 Use (locBD)+'F30.DBF' Again Order Tag BI_RAND Alias xyzzzz


 For i = 1 to 182
	l = AllTrim(Str(i))
    Seek (i)
    If !Found() Then
		Append Blank
		cda = "Replace  BI_RAND With "+AllTrim(Str(i))
        &cda
        Seek (i) && (de siguranta)
		
    EndIf
	*	
	* Inlocuiesc in coloanele care nu sunt marcate	
	*	
	For j = 1 to 4
		c = AllTrim(Str(j))
*       	cda = "If Empty(BI_F_"+AllTrim(Str(j))+") Then  Replace BI_C_"+AllTrim(Str(j))+" With r"+AllTrim(Str(i))+"c"+AllTrim(Str(j))+" EndIf"
   	   	cda = "Replace BI_C_"+c+" With IIf(Empty(BI_F_"+c+"), r"+l+"c"+c+",BI_C_"+c+")" 
   		&cda
	EndFor
EndFor

 Flush && Asigur datele pe disc

Select xyzzzz
Use

Select (Zl)
=SetRecNo(nrArtZl)

If !Empty((WOnTop())) Then
    Show Window (WOnTop()) Refresh Same
EndIf
*=Suna(MLD_BRAVO)

Return &&F30Put()


Procedure F30Ver   && Verifica corelatii

Private cda
Private zl
Private numarErori

zl=Select(0)
numarErori = 0


Define Window WiVeCo From 8,20 to 16,60 Title 'Verificare corelatii' In Screen Double Shadow 
Activate Window WiVeCo


 Flush && Asigur datele pe disc


hTerm = 1
Do While hTerm = 1
Activate Window WiVeCo
@2,1 Say "Se verifica corelatia  r1c1+r2c1+r3c1 =1"
@3,1 Say " r1c1+r2c1+r3c1 =1..."
        If .T. Then
           If !( r1c1+r2c1+r3c1 =1) Then
             numarErori = numarErori + 1 
             =Suna(MLD_EROARE) 
             Do Erori.EXE With "BiVeCo",3," r1c1+r2c1+r3c1 =1  r1c1+r2c1+r3c1 =1 ..."
             If hTerm = 2 Then
                Exit
             EndIf
           EndIf 
        EndIf 
hTerm = 2
EndDo

Deactivate Window WiVeCo
Release Window WiVeCo

Select(zl)


 If numarErori = 0 Then
      =Suna(MLD_BRAVO)

	msg1 = Lauda() 
	msg2 = 'La verificarea corelatiilor'
	msg3 = 'nu a fost detectata'
	msg4 = 'nici macar o singura eroare'
	Do Info With ' '+msg1,msg2,msg3,msg4
 EndIf


Return &&F30Ver()


Procedure F30Comp   && Completeaza din SumeP

Private zl
Private nrArtZl
Private cda
Private oBiLei
Private oBiRot   && Loc in care retine rotunjirea

Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
*
* Retin setarile (mod de calcul si rotunjire
*
oBiRot = __BiRot
oBiLei = __BiLei
*
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* * M.Cazac 28/02/2019
* * M.Cazac 27/02/2018
* * M.Cazac 27/02/2017
* * M.Cazac 16/04/2015
* * Lavinia 29/03/2014
* * Lavinia 27/04/2013
* * Lavinia 09/03/2012
* * Lavinia 26/02/2011
* * Lavinia 05/02/2010
* * M.Cazac 10/02/2008
* * VASILE  01/02/2007
* *
* *
* * Editati acest fisier dupa cum doriti; fisierul este global pentru toate firmele
* *
* * NU UITATI SA IESITI CU CTRL+W PT A PASTRA MODIFICARILE FACUTE
* *
* *
* * Editati acest fisier dupa cum doriti; fisierul este global pentru toate firmele
* *
* *
* * Definitii
* *
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* *
* *    ---------------------------------------------------------------
* *   | Prima litera  | A doua litera | A treia litera| A patra litera|
* *   |---------------|---------------|---------------|---------------
* *   | s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *   | t - Total sume|               |  p - Perioada |               |
* *   | r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* *    ---------------------------------------------------------------
* *
* * Exemplu: sdac(167) inseamna "sold debitor an curent" pentru contul 167
* *
* * O linie de definitie poate avea maxim 255 caractere
* * O definitie mai lunga decat maximul se va desparti in linii mai scurte
* * utilizand fie variabile intermediare, fie linii de continuare
* * O linie de continuare are ";" in ultima pozitie
* * Pentru lizibilitate:
* *  - grupati conturile pe linii, asa cum apar in formularele ANAF :
* * - utilizati TAB-uri pentru aliniere
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* * Corelatii
* *
* * Se scriu in sectiunea  [corelatii]
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* * I. Date privind rezultatul inregistr1
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* *La randurile r1c1 si r2c1-persoanele juridice care au in subordine subunitati
* * vor inscrie cifra 1,indiferent de numarul acestora
* 
* 
* * Unitati care au inregistrat profit 01
* * Unitati care au inregistrat pierdere
* *
        If (scac("121") > 0) Then
            r1c1 = Round((literal("1") )/__BiLei,__BiRot)
        EndIf
        If (scac("121") <= 0) Then
            r1c1 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
        r1c2 =Round((scac("121"))/__BiLei,__BiRot)
* 
        If (sdac("121") > 0) Then
            r2c1 = Round((literal("1") )/__BiLei,__BiRot)
        EndIf
        If (sdac("121") <= 0) Then
            r2c1 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
        r2c2 =Round((sdac("121"))/__BiLei,__BiRot)
* 
        If (sdac("121") = 0) Then
            r3c1 = Round((literal("1") )/__BiLei,__BiRot)
        EndIf
        If (sdac("121")+scac("121") !=0) Then
            r3c1 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
        If (sdac("121") = 0) Then
            r3c2 = Round((literal("0") )/__BiLei,__BiRot)
        EndIf
* 
* * Plati restante - total
* 
        r4c1 =r4c2+r4c3
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* * Furnizori restanti - total
* 
* 
* * Peste 30 de zile
* 
        r6c2 =Round((scac("401_.r")+scac("403_.r")+scac("404_.r")+scac("405_.r")+scac("408_.r")+scac("409_.r"))/__BiLei,__BiRot)
        r6c3 =Round((scac("401_.r")+scac("403_.r")+scac("404_.r")+scac("405_.r")+scac("408_.r")+scac("409_.r"))/__BiLei,__BiRot)
        r6c1 =r6c2+r6c3
* 
* * Peste 90 de zile
* 
        r7c3 =Round((scac("401_.r")+scac("403_.r")+scac("404_.r")+scac("405_.r")+scac("408_.r")+scac("409_.r"))/__BiLei,__BiRot)
        r7c2 =Round((scac("401_.r")+scac("403_.r")+scac("404_.r")+scac("405_.r")+scac("408_.r")+scac("409_.r"))/__BiLei,__BiRot)
        r7c1 =r7c2+r7c3
* 
* * Peste 1 an
* 
        r8c2 =Round((scac("401_.r")+scac("403_.r")+scac("404_.r")+scac("405_.r")+scac("408_.r")+scac("409_.r"))/__BiLei,__BiRot)
        r8c3 =Round((scac("401_.r")+scac("403_.r")+scac("404_.r")+scac("405_.r")+scac("408_.r")+scac("409_.r"))/__BiLei,__BiRot)
        r8c1 =r8c2+r8c3
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* *Obligatii restante fata de bugetul asigurarilor sociale -
* *(rd.09 la 13), din car1
* 
        r9c1 =r9c2+r9c3
* 
* *- contributii pentru asigurari sociale de stat datorate de angajatori
* *  salariati si alte persoane asimilate
* *
        r10c2 =Round((scac("4311.r")+scac("4312.r"))/__BiLei,__BiRot)
        r10c1 =r10c2+r10c3
* 
* * - contributii pentru fondul asigurarilor sociale de sanatate 10
* 
        r11c2 =Round((scac("4313.r")+scac("4314.r"))/__BiLei,__BiRot)
        r11c1 =r11c2+r11c3
* 
* * - contributia pentru pensia suplimentara 11
* 
        r12c2 =Round((scac("4312.r"))/__BiLei,__BiRot)
        r12c1 =r12c2+r12c3
* 
* * - contributii pentru bugetul asigurarilor pentru somaj 12
* 
        r13c2 =Round((scac("4371.r")+scac("4372.r"))/__BiLei,__BiRot)
        r13c1 =r13c2+r13c3
* 
* * - alte datorii sociale
* 
        r14c2 =Round((scac("4381.r"))/__BiLei,__BiRot)
        r14c1 =r14c2+r14c3
* 
* * Obligatii restante fata de bugetele fondurilor speciale si alte fonduri
* 
        r15c2 =Round((scac("447_.r"))/__BiLei,__BiRot)
        r15c1 =r15c2+r15c3
* 
* * Obligatii restante fata de alti creditori
* 
        r16c2 =Round((scac("462_.r"))/__BiLei,__BiRot)
        r16c1 =r16c2+r16c3
* 
* * Impozite si taxe neplatite la termenul stabilit la bugetul de stat
* 
        r17c2 =Round((scac("441_.r")+scac("4423_.r")+scac("444_.r"))/__BiLei,__BiRot)
        r17c1 =r17c2+r17c3
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* * Impozite si taxe neplatite la termenul stabilit la bugetele locale
* *
* *
* 
        r19c2 =Round((scac("446_.r"))/__BiLei,__BiRot)
        r19c1 =r19c2+r19c3
* 
* 
* * Numar mediu de salariati
* 
        r20c1 =Round((nmsalap(""))/__BiLei,__BiRot)
        r20c2 =Round((nmsalac(""))/__BiLei,__BiRot)
* 
* * Numar efectiv de salariati
* 
        r21c1 =Round((nesalap(""))/__BiLei,__BiRot)
        r21c2 =Round((nesalac(""))/__BiLei,__BiRot)
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* *r21c1 = 0
* *r21c2 = 0
* 
* *r27c1 = 0
* *r28c1 = 0
* *r29c1 = 0
* *r30c1 = 0
* *r31c1 = 0
* *r32c1 = 0
* *r33c1 = 0
* *r34c1 = 0
* *r35c1 = 0
* *r36c1 = 0
* *r40c1 = 0
* *r41c1 = 0
* *r42c1 = 0
* *r43c1 = 0
* *r48c1 = 0
* *r51c1 = 0
* *r22c1 = 0
* *r23 = prostii
* *r24 = prostii
* *r25 = prostii
* *r26 = prostii
* *r27 = prostii
* *r28 = prostii
* *r29 = prostii
* *r30 = prostii
* *r31 = prostii
* *r32 = prostii
* *r33 = prostii
* *r34 = prostii
* *r35 = prostii
* *r36 = prostii
* *r37 = prostii
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* * Tichete de masa
        r38c1 =Round((tdac("642"))/__BiLei,__BiRot)
* 
* 
* * cercetare dezv
* 
        r40c1 =Round((sdap("203"))/__BiLei,__BiRot)
        r40c2 =Round((sdac("203"))/__BiLei,__BiRot)
* 
* 
* * Cheltuieli de inovare
* 
* *r47 = prostii
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* * VIII Alte informatii
* 
* *
* 
        r48c1 =Round((sdap("4094"))/__BiLei,__BiRot)
        r48c2 =Round((sdac("4094"))/__BiLei,__BiRot)
* 
* *r49c1 = sdap()  303!
* *r49c2 = sdac()  303!
* *
* *r50c1 = sdap()  304!
* *r50c2 = sdac(...)
* 
        r51c1 =Round((sdap("4093"))/__BiLei,__BiRot)
        r51c2 =Round((sdac("4093"))/__BiLei,__BiRot)
* 
* *r51c1 = sdap()  305!
* *r51c2 = sdac()
* *
* *r52c1 = sdap()  306!
* *r52c2 = sdac()
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
        r62c1 =Round((sdap("267"))/__BiLei,__BiRot)
        r62c2 =Round((sdac("267"))/__BiLei,__BiRot)
* 
* * Creante
        r64c1 =Round((sdap("4091")+sdap("4092")+sdap("411")+sdap("413")+sdap("418"))/__BiLei,__BiRot)
        r64c2 =Round((sdac("4091")+sdac("4092")+sdac("411")+sdac("413")+sdac("418"))/__BiLei,__BiRot)
* 
* 
        r68c1 =Round((sdap("425")+sdap("4282"))/__BiLei,__BiRot)
        r68c2 =Round((sdac("425")+sdac("4282"))/__BiLei,__BiRot)
* 
* 
* 
        r70c1 =Round((sdap("431")+sdap("437")+sdap("4382"))/__BiLei,__BiRot)
        r70c2 =Round((sdac("431")+sdac("437")+sdac("4382"))/__BiLei,__BiRot)
* 
        r71c1 =Round((sdap("436")+sdap("441")+sdap("4424")+sdap("4428")+sdap("444")+sdap("446"))/__BiLei,__BiRot)
        r71c2 =Round((sdac("436")+sdac("441")+sdac("4424")+sdac("4428")+sdac("444")+sdac("446"))/__BiLei,__BiRot)
* 
* 
        r72c1 =Round((sdap("445"))/__BiLei,__BiRot)
        r72c2 =Round((sdac("445"))/__BiLei,__BiRot)
* 
        r73c1 =Round((sdap("447"))/__BiLei,__BiRot)
        r73c2 =Round((sdac("447"))/__BiLei,__BiRot)
* 
        r74c1 =Round((sdap("4482"))/__BiLei,__BiRot)
        r74c2 =Round((sdac("4482"))/__BiLei,__BiRot)
* 
        r75c1 =Round((sdap("451"))/__BiLei,__BiRot)
        r75c2 =Round((sdac("451"))/__BiLei,__BiRot)
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
        r80c1 =Round((sdap("453")+sdap("456")+sdap("4582"))/__BiLei,__BiRot)
        r80c2 =Round((sdac("453")+sdac("456")+sdac("4582"))/__BiLei,__BiRot)
* 
* 
        r81c1 =Round((sdap("461")+sdap("471")+sdap("473"))/__BiLei,__BiRot)
        r81c2 =Round((sdac("461")+sdac("471")+sdac("473"))/__BiLei,__BiRot)
* 
* * r82 = lasam
* 
        r83c1 =Round((sdap("5187"))/__BiLei,__BiRot)
        r83c2 =Round((sdac("5187"))/__BiLei,__BiRot)
* 
* 
* 
* 
        r88c1 =Round((sdap("508"))/__BiLei,__BiRot)
        r88c2 =Round((sdac("508"))/__BiLei,__BiRot)
* 
* 
        r91c1 =Round((sdap("5113")+sdap("5114"))/__BiLei,__BiRot)
        r91c2 =Round((sdac("5113")+sdac("5114"))/__BiLei,__BiRot)
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
        r93c1 =Round((sdap("5311"))/__BiLei,__BiRot)
        r93c2 =Round((sdac("5311"))/__BiLei,__BiRot)
* 
        r94c1 =Round((sdap("5314"))/__BiLei,__BiRot)
        r94c2 =Round((sdac("5314"))/__BiLei,__BiRot)
* 
* 
        r96c1 =Round((sdap("5121"))/__BiLei,__BiRot)
        r96c2 =Round((sdac("5121"))/__BiLei,__BiRot)
* 
* 
        r98c1 =Round((sdap("5124"))/__BiLei,__BiRot)
        r98c2 =Round((sdac("5124"))/__BiLei,__BiRot)
* 
* 
* 
        r101c1 =Round((sdap("5112")+sdap("5125")+sdap("5411"))/__BiLei,__BiRot)
        r101c2 =Round((sdac("5112")+sdac("5125")+sdac("5411"))/__BiLei,__BiRot)
* 
* 
* 
* 
        r105c1 =Round((scap("5193")+scap("5194")+scap("5195"))/__BiLei,__BiRot)
        r105c2 =Round((scac("5193")+scac("5194")+scac("5195"))/__BiLei,__BiRot)
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
        r108c1 =Round((scap("1623")+scap("1624")+scap("1625"))/__BiLei,__BiRot)
        r108c2 =Round((scac("1623")+scac("1624")+scac("1625"))/__BiLei,__BiRot)
* 
* 
* 
* 
        r110c1 =Round((scap("1626"))/__BiLei,__BiRot)
        r110c2 =Round((scac("1626"))/__BiLei,__BiRot)
* 
* 
        r112c1 =Round((scap("166")+scap("1685")+scap("1686")+scap("1687"))/__BiLei,__BiRot)
        r112c2 =Round((scac("166")+scac("1685")+scac("1686")+scac("1687"))/__BiLei,__BiRot)
* 
* 
        r116c1 =Round((scap("401")+scap("403")+scap("404")+scap("405")+scap("408")+scap("419"))/__BiLei,__BiRot)
        r116c2 =Round((scac("401")+scac("403")+scac("404")+scac("405")+scac("408")+scac("419"))/__BiLei,__BiRot)
* 
* 
        r119c1 =Round((scap("421")+scap("423")+scap("424")+scap("426")+scap("427")+scap("4281"))/__BiLei,__BiRot)
        r119c2 =Round((scac("421")+scac("423")+scac("424")+scac("426")+scac("427")+scac("4281"))/__BiLei,__BiRot)
* 
* 
* 
        r121c1 =Round((scap("431")+scap("437")+scap("4381"))/__BiLei,__BiRot)
        r121c2 =Round((scac("431")+scac("437")+scac("4381"))/__BiLei,__BiRot)
* 
        r122c1 =Round((scap("436")+scap("441")+scap("4423")+scap("4428")+scap("444")+scap("446"))/__BiLei,__BiRot)
        r122c2 =Round((scac("436")+scac("441")+scac("4423")+scac("4428")+scac("444")+scac("446"))/__BiLei,__BiRot)
* 
        r123c1 =Round((scap("447"))/__BiLei,__BiRot)
        r123c2 =Round((scac("447"))/__BiLei,__BiRot)
* 
        r124c1 =Round((scap("4481"))/__BiLei,__BiRot)
        r124c2 =Round((scac("4481"))/__BiLei,__BiRot)
* 
        r125c1 =Round((scap("451"))/__BiLei,__BiRot)
        r125c2 =Round((scac("451"))/__BiLei,__BiRot)
* 
* 
        r130c1 =Round((scap("455"))/__BiLei,__BiRot)
        r130c2 =Round((scac("455"))/__BiLei,__BiRot)
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
        r133c1 =Round((scap("453")+scap("456")+scap("457")+scap("4581"))/__BiLei,__BiRot)
        r133c2 =Round((scac("453")+scac("456")+scac("457")+scac("4581"))/__BiLei,__BiRot)
* 
        r134c1 =Round((scap("462")+scap("472")+scap("473"))/__BiLei,__BiRot)
        r134c2 =Round((scac("462")+scac("472")+scac("473"))/__BiLei,__BiRot)
* 
* 
        r136c1 =Round((scap("269")+scap("509"))/__BiLei,__BiRot)
        r136c2 =Round((scac("269")+scac("509"))/__BiLei,__BiRot)
* 
        r137c1 =Round((scap("478"))/__BiLei,__BiRot)
        r137c2 =Round((scac("478"))/__BiLei,__BiRot)
* 
        r138c1 =Round((scap("5186"))/__BiLei,__BiRot)
        r138c2 =Round((scac("5186"))/__BiLei,__BiRot)
* 
* 
        r141c1 =Round((scap("1012"))/__BiLei,__BiRot)
        r141c2 =Round((scac("1012"))/__BiLei,__BiRot)
* 
        r144c1 =Round((scap("1012"))/__BiLei,__BiRot)
        r144c2 =Round((scac("1012"))/__BiLei,__BiRot)
* 
* 
        r146c1 =Round((sdap("205"))/__BiLei,__BiRot)
        r146c2 =Round((sdac("205"))/__BiLei,__BiRot)
* 
        r147c1 =Round((tdap("621"))/__BiLei,__BiRot)
        r147c2 =Round((tdac("621"))/__BiLei,__BiRot)
* *
* 
        r148c1 =Round((sdap("8038"))/__BiLei,__BiRot)
        r148c2 =Round((sdac("8038"))/__BiLei,__BiRot)
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
        r162c1 =Round((scap("1012"))/__BiLei,__BiRot)
        r162c2 =Round((literal("100"))/__BiLei,__BiRot)
* 
        r162c3 =Round((scac("1012"))/__BiLei,__BiRot)
        r162c4 =Round((literal("100"))/__BiLei,__BiRot)
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* *
* *  Corelatii DATE INFORMATIVE (cod 30)
* *
* 
* 
* * Totaluri pe orizontala - col 1 = 2 + 3 pt rd de la 3 la 22
* *c.2 r4c1 =r4c2+r4c3
* *c.3 r5c1 =r5c2+r5c3
* *c.4 r6c1 =r6c2+r6c3
* *c.5 r7c1 =r7c2+r7c3
* *c.6 r8c1 =r8c2+r8c3
* *c.7 r9c1 =r9c2+r9c3
* *c.8 r10c1 =r10c2+r10c3
* *c.9 r11c1 =r11c2+r11c3
* *c.10 r12c1 =r12c2+r12c3
* *c.11 r13c1 =r13c2+r13c3
* *c.12 r14c1 =r14c2+r14c3
* *c.13 r15c1 =r15c2+r15c3
* *c.14 r16c1 =r16c2+r16c3
* *c.15 r17c1 =r17c2+r17c3
* *c.16 r19c1 =r19c2+r19c3
* *c.17 r20c1 =r20c2+r20c3
* *c.18 r21c1 =r21c2+r21c3
* *c.19 r22c1 =r22c2+r22c3
* *c.20 r23c1 =r23c2+r23c3
* *c.21 r24c1 =r24c2+r24c3
* 
* *c.22 r4 =r5+r9+r15+r16+r17+r19+r20+r1
* *c.23 r5 =r6+r7+r7
* *c.24 r9 =r10+r11+r12+r13+r1
* *c.25 r20 =r21+r22+r1
* *c.26 r21c1 >= r27c1
* *c.27 r28c1 >= r29c1
* *c.28 r30c1 >= r31c1
* 
* *c.29 r34c1 >= r34c1+r35c1
* *c.29 r34c2 >= r34c2+r35c2
* 
* *c.29 r36c1 = r40c1 + r41c1 + r42c1
* *c.30 r36c2 = r40c2 + r41c2 + r42c2
* 
* *c.31 r43c1 = r48c1 + r29c1
* *c.32 r43c2 = r48c2 + r29c2
* 
* *c.31.1 r48c1 = r51c1 + r22c1 + r23c1 + r24c1 + r25c1 + r27c1 + r28c1
* *c.31.2 r48c2 = r51c2 + r22c2 + r23c2 + r24c2 + r25c2 + r27c2 + r28c2
* 
* *c.32.1 r29c1 = r30c1 + r31c1
* *c.32.2 r29c2 = r30c2 + r31c2
* 
* *c.33 r38 = r43 + r47   + r37   + r38   + r40  +r48+r1
* *c.34 r55   = r85   + r1
* 
* *c.35 r57   = r88   + r1
* *c.36 r58   = r60   + r1
* *c.37 r62   = r63+r67+r70+r74+r79+r83+r84+r115+r87+r88+r119+r120+r89+r90
* *c.38 r63   = r64   + r1
* *c.39 r67   = r68   + r1
* *c.40 r70   = r71   + r1
* *c.41 r74   = r75   + r1
* *c.42 r79   = r80   + r1
* *c.43 r84   = r85   + r1
* *c.44 r91  = r92  + r93  + r94 + r95
* 
* 

Flush && Asigur datele pe disc

*
* Refac in ce se calculeaza , precum si rotunjirea care se aplica 
*
__BiRot = oBiRot
__BiLei = oBiLei

Select(zl)

Return &&F30Comp()


Procedure F30CompR   && Completeaza din alte raportari

Private cda
Private zl
Private nrArtZl


 Flush && Asigur datele pe disc

zl=Select(0)
nrArtZl=GetRecNo()
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* * M.Cazac 28/02/2019
* * M.Cazac 27/02/2018
* * M.Cazac 27/02/2017
* * M.Cazac 16/04/2015
* * Lavinia 29/03/2014
* * Lavinia 27/04/2013
* * Lavinia 09/03/2012
* * Lavinia 26/02/2011
* * Lavinia 05/02/2010
* * M.Cazac 10/02/2008
* * VASILE  01/02/2007
* *
* *
* * Editati acest fisier dupa cum doriti; fisierul este global pentru toate firmele
* *
* * NU UITATI SA IESITI CU CTRL+W PT A PASTRA MODIFICARILE FACUTE
* *
* *
* * Editati acest fisier dupa cum doriti; fisierul este global pentru toate firmele
* *
* *
* * Definitii
* *
* * Functiile admise sunt cele descrise in documentatie si numele lor
* * respecta urmatoarele reguli:
* *
* *    ---------------------------------------------------------------
* *   | Prima litera  | A doua litera | A treia litera| A patra litera|
* *   |---------------|---------------|---------------|---------------
* *   | s - Sold      |  d - Debit    |  l - Luna     | c - curenta   |
* *   | t - Total sume|               |  p - Perioada |               |
* *   | r - Rulaj     |  c - Credit   |  a - An       | p - precedenta|
* *    ---------------------------------------------------------------
* *
* * Exemplu: sdac(167) inseamna "sold debitor an curent" pentru contul 167
* *
* * O linie de definitie poate avea maxim 255 caractere
* * O definitie mai lunga decat maximul se va desparti in linii mai scurte
* * utilizand fie variabile intermediare, fie linii de continuare
* * O linie de continuare are ";" in ultima pozitie
* * Pentru lizibilitate:
* *  - grupati conturile pe linii, asa cum apar in formularele ANAF :
* * - utilizati TAB-uri pentru aliniere
* * - semnul plus este la inceputul liniei de continuare
* * - parantezele de inceput si sfarsit sunt pe linii separate
* *
* *
* * Corelatii
* *
* * Se scriu in sectiunea  [corelatii]
* * In cazul in care corelatiile sunt conditionate, tb scrisa fiecare coloana
* *
* 
* * I. Date privind rezultatul inregistr1
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* *La randurile r1c1 si r2c1-persoanele juridice care au in subordine subunitati
* * vor inscrie cifra 1,indiferent de numarul acestora
* 
* 
* * Unitati care au inregistrat profit 01
* * Unitati care au inregistrat pierdere
* *
* 
* 
* 
* * Plati restante - total
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* * Furnizori restanti - total
* 
* 
* * Peste 30 de zile
* 
* 
* * Peste 90 de zile
* 
* 
* * Peste 1 an
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* *Obligatii restante fata de bugetul asigurarilor sociale -
* *(rd.09 la 13), din car1
* 
* 
* *- contributii pentru asigurari sociale de stat datorate de angajatori
* *  salariati si alte persoane asimilate
* *
* 
* * - contributii pentru fondul asigurarilor sociale de sanatate 10
* 
* 
* * - contributia pentru pensia suplimentara 11
* 
* 
* * - contributii pentru bugetul asigurarilor pentru somaj 12
* 
* 
* * - alte datorii sociale
* 
* 
* * Obligatii restante fata de bugetele fondurilor speciale si alte fonduri
* 
* 
* * Obligatii restante fata de alti creditori
* 
* 
* * Impozite si taxe neplatite la termenul stabilit la bugetul de stat
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* * Impozite si taxe neplatite la termenul stabilit la bugetele locale
* *
* *
* 
* 
* 
* * Numar mediu de salariati
* 
* 
* * Numar efectiv de salariati
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* *r21c1 = 0
* *r21c2 = 0
* 
* *r27c1 = 0
* *r28c1 = 0
* *r29c1 = 0
* *r30c1 = 0
* *r31c1 = 0
* *r32c1 = 0
* *r33c1 = 0
* *r34c1 = 0
* *r35c1 = 0
* *r36c1 = 0
* *r40c1 = 0
* *r41c1 = 0
* *r42c1 = 0
* *r43c1 = 0
* *r48c1 = 0
* *r51c1 = 0
* *r22c1 = 0
* *r23 = prostii
* *r24 = prostii
* *r25 = prostii
* *r26 = prostii
* *r27 = prostii
* *r28 = prostii
* *r29 = prostii
* *r30 = prostii
* *r31 = prostii
* *r32 = prostii
* *r33 = prostii
* *r34 = prostii
* *r35 = prostii
* *r36 = prostii
* *r37 = prostii
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* * Tichete de masa
* 
* 
* * cercetare dezv
* 
* 
* 
* * Cheltuieli de inovare
* 
* *r47 = prostii
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* * VIII Alte informatii
* 
* *
* 
* 
* *r49c1 = sdap()  303!
* *r49c2 = sdac()  303!
* *
* *r50c1 = sdap()  304!
* *r50c2 = sdac(...)
* 
* 
* *r51c1 = sdap()  305!
* *r51c2 = sdac()
* *
* *r52c1 = sdap()  306!
* *r52c2 = sdac()
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
* * Creante
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
* 
* 
* 
* * r82 = lasam
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* 
* *
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* 
* 
* 
* 
* 
* 
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* *
* *  Definitiile sunt pentru formularul 30 , intreprinderi mici si mijlocii
* *   Toate numerele de randuri se refera la numerorarea din stanga (OMFP.10)
* *  pentru intreprinderi mici si mijlocii
* *
* *  Pentru microintreprinderi
* *   - definitiile pentru randurile 1..170 sunt deduse prin program
* *     pornind de la cele definite aici
* *   - incepand cu randul 171 se preiau informatiile din F20
* *   - numerele de rand sunt apoi extrapolate pentru a se potrivi cu cele din formularul ANAF
* *
* *  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* 
* 
* *
* *  Corelatii DATE INFORMATIVE (cod 30)
* *
* 
* 
* * Totaluri pe orizontala - col 1 = 2 + 3 pt rd de la 3 la 22
* *c.2 r4c1 =r4c2+r4c3
* *c.3 r5c1 =r5c2+r5c3
* *c.4 r6c1 =r6c2+r6c3
* *c.5 r7c1 =r7c2+r7c3
* *c.6 r8c1 =r8c2+r8c3
* *c.7 r9c1 =r9c2+r9c3
* *c.8 r10c1 =r10c2+r10c3
* *c.9 r11c1 =r11c2+r11c3
* *c.10 r12c1 =r12c2+r12c3
* *c.11 r13c1 =r13c2+r13c3
* *c.12 r14c1 =r14c2+r14c3
* *c.13 r15c1 =r15c2+r15c3
* *c.14 r16c1 =r16c2+r16c3
* *c.15 r17c1 =r17c2+r17c3
* *c.16 r19c1 =r19c2+r19c3
* *c.17 r20c1 =r20c2+r20c3
* *c.18 r21c1 =r21c2+r21c3
* *c.19 r22c1 =r22c2+r22c3
* *c.20 r23c1 =r23c2+r23c3
* *c.21 r24c1 =r24c2+r24c3
* 
* *c.22 r4 =r5+r9+r15+r16+r17+r19+r20+r1
* *c.23 r5 =r6+r7+r7
* *c.24 r9 =r10+r11+r12+r13+r1
* *c.25 r20 =r21+r22+r1
* *c.26 r21c1 >= r27c1
* *c.27 r28c1 >= r29c1
* *c.28 r30c1 >= r31c1
* 
* *c.29 r34c1 >= r34c1+r35c1
* *c.29 r34c2 >= r34c2+r35c2
* 
* *c.29 r36c1 = r40c1 + r41c1 + r42c1
* *c.30 r36c2 = r40c2 + r41c2 + r42c2
* 
* *c.31 r43c1 = r48c1 + r29c1
* *c.32 r43c2 = r48c2 + r29c2
* 
* *c.31.1 r48c1 = r51c1 + r22c1 + r23c1 + r24c1 + r25c1 + r27c1 + r28c1
* *c.31.2 r48c2 = r51c2 + r22c2 + r23c2 + r24c2 + r25c2 + r27c2 + r28c2
* 
* *c.32.1 r29c1 = r30c1 + r31c1
* *c.32.2 r29c2 = r30c2 + r31c2
* 
* *c.33 r38 = r43 + r47   + r37   + r38   + r40  +r48+r1
* *c.34 r55   = r85   + r1
* 
* *c.35 r57   = r88   + r1
* *c.36 r58   = r60   + r1
* *c.37 r62   = r63+r67+r70+r74+r79+r83+r84+r115+r87+r88+r119+r120+r89+r90
* *c.38 r63   = r64   + r1
* *c.39 r67   = r68   + r1
* *c.40 r70   = r71   + r1
* *c.41 r74   = r75   + r1
* *c.42 r79   = r80   + r1
* *c.43 r84   = r85   + r1
* *c.44 r91  = r92  + r93  + r94 + r95
* 
* 

 Flush && Asigur datele pe disc


Select(zl)

Return &&F30CompR()


Procedure F30CTot   && Calculeaza totaluri

*
* Functia calculeaza totaluri in rxcx
* 
* Functia se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* Mai nou (28-Iul-2003)
* Daca exista conditii totalul se calculeaza _doar_ daca este 
* indeplinita conditia, altefle este lasat nemodificat
* Pentru a nu se incurca trebuie ca mai intai sa se puna 0 in toate
* randurile de total
*


Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc




*
* Pun mai intai zero in toate randurile de total, sau in cele care sunt calcule pure
*
* Asigur zero in linie de total
Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r4c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 5
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r5c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 6
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r6c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 7
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r7c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 8
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r8c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r9c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 10
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r10c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 11
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r11c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 12
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r12c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 13
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r13c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 14
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r14c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 15
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r15c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 16
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r16c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 17
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r17c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de calcul
Seek 19
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r19c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 41
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r41c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r41c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r41c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r41c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 44
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r44c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r44c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r44c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r44c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 54
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r54c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r54c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r54c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r54c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 55
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r55c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r55c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r55c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r55c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 61
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r61c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 69
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r69c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r69c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r69c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r69c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 79
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r79c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r79c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r79c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r79c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 86
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r86c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r86c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r86c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r86c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 92
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r92c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r92c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r92c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r92c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 95
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r95c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r95c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r95c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r95c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 100
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r100c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r100c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r100c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r100c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 103
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r103c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r103c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r103c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r103c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 104
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r104c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r104c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r104c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r104c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 107
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r107c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r107c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r107c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r107c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 111
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r111c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r111c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r111c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r111c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 120
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r120c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r120c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r120c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r120c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 129
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r129c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r129c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r129c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r129c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 132
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r132c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r132c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r132c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r132c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 152
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r152c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r152c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r152c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r152c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* Asigur zero in linie de total
Seek 153
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r153c1 = 0
    
    Replace BI_F_1 With ' '
    Replace BI_C_1 With 0
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r153c2 = 0
    
    Replace BI_F_2 With ' '
    Replace BI_C_2 With 0
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r153c3 = 0
    
    Replace BI_F_3 With ' '
    Replace BI_C_3 With 0
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    
    r153c4 = 0
    
    Replace BI_F_4 With ' '
    Replace BI_C_4 With 0
  EndIf
EndIf
* 
* Functia de calcul efectiv se executa in 3 iteratii, deoarece exista formulare
* in care totalul este pus inaintea randurilor componente
* 
* 
* Iteratia 1
* 
        r4c1 =r5c1+r9c1+ r15c1+r16c1+r17c1 +r19c1
        r4c2 =r5c2+r9c2+ r15c2+r16c2+r17c2 +r19c2
        r4c3 =r5c3+r9c3+ r15c3+r16c3+r17c3 +r19c3
        r4c4 =r5c4+r9c4+ r15c4+r16c4+r17c4 +r19c4
        r4c1 =r4c2+r4c3
        r5c1 =r6c1+r7c1+r8c1
        r5c2 =r6c2+r7c2+r8c2
        r5c3 =r6c3+r7c3+r8c3
        r5c4 =r6c4+r7c4+r8c4
        r6c1 =r6c2+r6c3
        r7c1 =r7c2+r7c3
        r8c1 =r8c2+r8c3
        r9c1 =r10c1+r11c1+r12c1+r13c1+r14c1
        r9c2 =r10c2+r11c2+r12c2+r13c2+r14c2
        r9c3 =r10c3+r11c3+r12c3+r13c3+r14c3
        r9c4 =r10c4+r11c4+r12c4+r13c4+r14c4
        r9c1 =r9c2+r9c3
        r10c1 =r10c2+r10c3
        r11c1 =r11c2+r11c3
        r12c1 =r12c2+r12c3
        r13c1 =r13c2+r13c3
        r14c1 =r14c2+r14c3
        r15c1 =r15c2+r15c3
        r16c1 =r16c2+r16c3
        r17c1 =r17c2+r17c3
        r19c1 =r19c2+r19c3
        r41c1 =r42c1 + r43c1
        r41c2 =r42c2 + r43c2
        r41c3 =r42c3 + r43c3
        r41c4 =r42c4 + r43c4
        r44c1 =r45c1 + r46c1
        r44c2 =r45c2 + r46c2
        r44c3 =r45c3 + r46c3
        r44c4 =r45c4 + r46c4
        r54c1 =r55c1 + r61c1
        r54c2 =r55c2 + r61c2
        r54c3 =r55c3 + r61c3
        r54c4 =r55c4 + r61c4
        r55c1 =r56c1+r57c1+r58c1+r60c1
        r55c2 =r56c2+r57c2+r58c2+r60c2
        r55c3 =r56c3+r57c3+r58c3+r60c3
        r55c4 =r56c4+r57c4+r58c4+r60c4
        r61c1 =r62c1 + r63c1
        r61c2 =r62c2 + r63c2
        r61c3 =r62c3 + r63c3
        r61c4 =r62c4 + r63c4
        r69c1 =r70c1 + r71c1 + r72c1 + r73c1 + r74c1
        r69c2 =r70c2 + r71c2 + r72c2 + r73c2 + r74c2
        r69c3 =r70c3 + r71c3 + r72c3 + r73c3 + r74c3
        r69c4 =r70c4 + r71c4 + r72c4 + r73c4 + r74c4
        r79c1 =r80c1 + r81c1 + r82c1
        r79c2 =r80c2 + r81c2 + r82c2
        r79c3 =r80c3 + r81c3 + r82c3
        r79c4 =r80c4 + r81c4 + r82c4
        r86c1 =r87c1+r88c1+r89c1+r90c1
        r86c2 =r87c2+r88c2+r89c2+r90c2
        r86c3 =r87c3+r88c3+r89c3+r90c3
        r86c4 =r87c4+r88c4+r89c4+r90c4
        r92c1 =r93c1 + r94c1
        r92c2 =r93c2 + r94c2
        r92c3 =r93c3 + r94c3
        r92c4 =r93c4 + r94c4
        r95c1 =r96c1 + r98c1
        r95c2 =r96c2 + r98c2
        r95c3 =r96c3 + r98c3
        r95c4 =r96c4 + r98c4
        r100c1 =r101c1 + r102c1
        r100c2 =r101c2 + r102c2
        r100c3 =r101c3 + r102c3
        r100c4 =r101c4 + r102c4
        r103c1 =r104c1 + r107c1 + r110c1 + r111c1 + r114c1 + r116c1 + r119c1 + r120c1+ r125c1 + r129c1 + r132c1 + r138c1
        r103c2 =r104c2 + r107c2 + r110c2 + r111c2 + r114c2 + r116c2 + r119c2 + r120c2+ r125c2 + r129c2 + r132c2 + r138c2
        r103c3 =r104c3 + r107c3 + r110c3 + r111c3 + r114c3 + r116c3 + r119c3 + r120c3+ r125c3 + r129c3 + r132c3 + r138c3
        r103c4 =r104c4 + r107c4 + r110c4 + r111c4 + r114c4 + r116c4 + r119c4 + r120c4+ r125c4 + r129c4 + r132c4 + r138c4
        r104c1 =r105c1 + r106c1
        r104c2 =r105c2 + r106c2
        r104c3 =r105c3 + r106c3
        r104c4 =r105c4 + r106c4
        r107c1 =r108c1 + r109c1
        r107c2 =r108c2 + r109c2
        r107c3 =r108c3 + r109c3
        r107c4 =r108c4 + r109c4
        r111c1 =r112c1 + r113c1
        r111c2 =r112c2 + r113c2
        r111c3 =r112c3 + r113c3
        r111c4 =r112c4 + r113c4
        r120c1 =r121c1 + r122c1 + r123c1 + r124c1
        r120c2 =r121c2 + r122c2 + r123c2 + r124c2
        r120c3 =r121c3 + r122c3 + r123c3 + r124c3
        r120c4 =r121c4 + r122c4 + r123c4 + r124c4
        r129c1 =r130c1 + r131c1
        r129c2 =r130c2 + r131c2
        r129c3 =r130c3 + r131c3
        r129c4 =r130c4 + r131c4
        r132c1 =r133c1+ r134c1 + r135c1 + r136c1 + r137c1
        r132c2 =r133c2+ r134c2 + r135c2 + r136c2 + r137c2
        r132c3 =r133c3+ r134c3 + r135c3 + r136c3 + r137c3
        r132c4 =r133c4+ r134c4 + r135c4 + r136c4 + r137c4
        r152c1 =r153c1 + r156c1 + r160c1 + r161c1 + r162c1 + r163c1
        r152c2 =r153c2 + r156c2 + r160c2 + r161c2 + r162c2 + r163c2
        r152c3 =r153c3 + r156c3 + r160c3 + r161c3 + r162c3 + r163c3
        r152c4 =r153c4 + r156c4 + r160c4 + r161c4 + r162c4 + r163c4
        r153c1 =r154c1 + r155c1
        r153c2 =r154c2 + r155c2
        r153c3 =r154c3 + r155c3
        r153c4 =r154c4 + r155c4
* 
* Iteratia 2
* 
        r4c1 =r5c1+r9c1+ r15c1+r16c1+r17c1 +r19c1
        r4c2 =r5c2+r9c2+ r15c2+r16c2+r17c2 +r19c2
        r4c3 =r5c3+r9c3+ r15c3+r16c3+r17c3 +r19c3
        r4c4 =r5c4+r9c4+ r15c4+r16c4+r17c4 +r19c4
        r4c1 =r4c2+r4c3
        r5c1 =r6c1+r7c1+r8c1
        r5c2 =r6c2+r7c2+r8c2
        r5c3 =r6c3+r7c3+r8c3
        r5c4 =r6c4+r7c4+r8c4
        r6c1 =r6c2+r6c3
        r7c1 =r7c2+r7c3
        r8c1 =r8c2+r8c3
        r9c1 =r10c1+r11c1+r12c1+r13c1+r14c1
        r9c2 =r10c2+r11c2+r12c2+r13c2+r14c2
        r9c3 =r10c3+r11c3+r12c3+r13c3+r14c3
        r9c4 =r10c4+r11c4+r12c4+r13c4+r14c4
        r9c1 =r9c2+r9c3
        r10c1 =r10c2+r10c3
        r11c1 =r11c2+r11c3
        r12c1 =r12c2+r12c3
        r13c1 =r13c2+r13c3
        r14c1 =r14c2+r14c3
        r15c1 =r15c2+r15c3
        r16c1 =r16c2+r16c3
        r17c1 =r17c2+r17c3
        r19c1 =r19c2+r19c3
        r41c1 =r42c1 + r43c1
        r41c2 =r42c2 + r43c2
        r41c3 =r42c3 + r43c3
        r41c4 =r42c4 + r43c4
        r44c1 =r45c1 + r46c1
        r44c2 =r45c2 + r46c2
        r44c3 =r45c3 + r46c3
        r44c4 =r45c4 + r46c4
        r54c1 =r55c1 + r61c1
        r54c2 =r55c2 + r61c2
        r54c3 =r55c3 + r61c3
        r54c4 =r55c4 + r61c4
        r55c1 =r56c1+r57c1+r58c1+r60c1
        r55c2 =r56c2+r57c2+r58c2+r60c2
        r55c3 =r56c3+r57c3+r58c3+r60c3
        r55c4 =r56c4+r57c4+r58c4+r60c4
        r61c1 =r62c1 + r63c1
        r61c2 =r62c2 + r63c2
        r61c3 =r62c3 + r63c3
        r61c4 =r62c4 + r63c4
        r69c1 =r70c1 + r71c1 + r72c1 + r73c1 + r74c1
        r69c2 =r70c2 + r71c2 + r72c2 + r73c2 + r74c2
        r69c3 =r70c3 + r71c3 + r72c3 + r73c3 + r74c3
        r69c4 =r70c4 + r71c4 + r72c4 + r73c4 + r74c4
        r79c1 =r80c1 + r81c1 + r82c1
        r79c2 =r80c2 + r81c2 + r82c2
        r79c3 =r80c3 + r81c3 + r82c3
        r79c4 =r80c4 + r81c4 + r82c4
        r86c1 =r87c1+r88c1+r89c1+r90c1
        r86c2 =r87c2+r88c2+r89c2+r90c2
        r86c3 =r87c3+r88c3+r89c3+r90c3
        r86c4 =r87c4+r88c4+r89c4+r90c4
        r92c1 =r93c1 + r94c1
        r92c2 =r93c2 + r94c2
        r92c3 =r93c3 + r94c3
        r92c4 =r93c4 + r94c4
        r95c1 =r96c1 + r98c1
        r95c2 =r96c2 + r98c2
        r95c3 =r96c3 + r98c3
        r95c4 =r96c4 + r98c4
        r100c1 =r101c1 + r102c1
        r100c2 =r101c2 + r102c2
        r100c3 =r101c3 + r102c3
        r100c4 =r101c4 + r102c4
        r103c1 =r104c1 + r107c1 + r110c1 + r111c1 + r114c1 + r116c1 + r119c1 + r120c1+ r125c1 + r129c1 + r132c1 + r138c1
        r103c2 =r104c2 + r107c2 + r110c2 + r111c2 + r114c2 + r116c2 + r119c2 + r120c2+ r125c2 + r129c2 + r132c2 + r138c2
        r103c3 =r104c3 + r107c3 + r110c3 + r111c3 + r114c3 + r116c3 + r119c3 + r120c3+ r125c3 + r129c3 + r132c3 + r138c3
        r103c4 =r104c4 + r107c4 + r110c4 + r111c4 + r114c4 + r116c4 + r119c4 + r120c4+ r125c4 + r129c4 + r132c4 + r138c4
        r104c1 =r105c1 + r106c1
        r104c2 =r105c2 + r106c2
        r104c3 =r105c3 + r106c3
        r104c4 =r105c4 + r106c4
        r107c1 =r108c1 + r109c1
        r107c2 =r108c2 + r109c2
        r107c3 =r108c3 + r109c3
        r107c4 =r108c4 + r109c4
        r111c1 =r112c1 + r113c1
        r111c2 =r112c2 + r113c2
        r111c3 =r112c3 + r113c3
        r111c4 =r112c4 + r113c4
        r120c1 =r121c1 + r122c1 + r123c1 + r124c1
        r120c2 =r121c2 + r122c2 + r123c2 + r124c2
        r120c3 =r121c3 + r122c3 + r123c3 + r124c3
        r120c4 =r121c4 + r122c4 + r123c4 + r124c4
        r129c1 =r130c1 + r131c1
        r129c2 =r130c2 + r131c2
        r129c3 =r130c3 + r131c3
        r129c4 =r130c4 + r131c4
        r132c1 =r133c1+ r134c1 + r135c1 + r136c1 + r137c1
        r132c2 =r133c2+ r134c2 + r135c2 + r136c2 + r137c2
        r132c3 =r133c3+ r134c3 + r135c3 + r136c3 + r137c3
        r132c4 =r133c4+ r134c4 + r135c4 + r136c4 + r137c4
        r152c1 =r153c1 + r156c1 + r160c1 + r161c1 + r162c1 + r163c1
        r152c2 =r153c2 + r156c2 + r160c2 + r161c2 + r162c2 + r163c2
        r152c3 =r153c3 + r156c3 + r160c3 + r161c3 + r162c3 + r163c3
        r152c4 =r153c4 + r156c4 + r160c4 + r161c4 + r162c4 + r163c4
        r153c1 =r154c1 + r155c1
        r153c2 =r154c2 + r155c2
        r153c3 =r154c3 + r155c3
        r153c4 =r154c4 + r155c4
* 
* Iteratia 3
* 
        r4c1 =r5c1+r9c1+ r15c1+r16c1+r17c1 +r19c1
        r4c2 =r5c2+r9c2+ r15c2+r16c2+r17c2 +r19c2
        r4c3 =r5c3+r9c3+ r15c3+r16c3+r17c3 +r19c3
        r4c4 =r5c4+r9c4+ r15c4+r16c4+r17c4 +r19c4
        r4c1 =r4c2+r4c3
        r5c1 =r6c1+r7c1+r8c1
        r5c2 =r6c2+r7c2+r8c2
        r5c3 =r6c3+r7c3+r8c3
        r5c4 =r6c4+r7c4+r8c4
        r6c1 =r6c2+r6c3
        r7c1 =r7c2+r7c3
        r8c1 =r8c2+r8c3
        r9c1 =r10c1+r11c1+r12c1+r13c1+r14c1
        r9c2 =r10c2+r11c2+r12c2+r13c2+r14c2
        r9c3 =r10c3+r11c3+r12c3+r13c3+r14c3
        r9c4 =r10c4+r11c4+r12c4+r13c4+r14c4
        r9c1 =r9c2+r9c3
        r10c1 =r10c2+r10c3
        r11c1 =r11c2+r11c3
        r12c1 =r12c2+r12c3
        r13c1 =r13c2+r13c3
        r14c1 =r14c2+r14c3
        r15c1 =r15c2+r15c3
        r16c1 =r16c2+r16c3
        r17c1 =r17c2+r17c3
        r19c1 =r19c2+r19c3
        r41c1 =r42c1 + r43c1
        r41c2 =r42c2 + r43c2
        r41c3 =r42c3 + r43c3
        r41c4 =r42c4 + r43c4
        r44c1 =r45c1 + r46c1
        r44c2 =r45c2 + r46c2
        r44c3 =r45c3 + r46c3
        r44c4 =r45c4 + r46c4
        r54c1 =r55c1 + r61c1
        r54c2 =r55c2 + r61c2
        r54c3 =r55c3 + r61c3
        r54c4 =r55c4 + r61c4
        r55c1 =r56c1+r57c1+r58c1+r60c1
        r55c2 =r56c2+r57c2+r58c2+r60c2
        r55c3 =r56c3+r57c3+r58c3+r60c3
        r55c4 =r56c4+r57c4+r58c4+r60c4
        r61c1 =r62c1 + r63c1
        r61c2 =r62c2 + r63c2
        r61c3 =r62c3 + r63c3
        r61c4 =r62c4 + r63c4
        r69c1 =r70c1 + r71c1 + r72c1 + r73c1 + r74c1
        r69c2 =r70c2 + r71c2 + r72c2 + r73c2 + r74c2
        r69c3 =r70c3 + r71c3 + r72c3 + r73c3 + r74c3
        r69c4 =r70c4 + r71c4 + r72c4 + r73c4 + r74c4
        r79c1 =r80c1 + r81c1 + r82c1
        r79c2 =r80c2 + r81c2 + r82c2
        r79c3 =r80c3 + r81c3 + r82c3
        r79c4 =r80c4 + r81c4 + r82c4
        r86c1 =r87c1+r88c1+r89c1+r90c1
        r86c2 =r87c2+r88c2+r89c2+r90c2
        r86c3 =r87c3+r88c3+r89c3+r90c3
        r86c4 =r87c4+r88c4+r89c4+r90c4
        r92c1 =r93c1 + r94c1
        r92c2 =r93c2 + r94c2
        r92c3 =r93c3 + r94c3
        r92c4 =r93c4 + r94c4
        r95c1 =r96c1 + r98c1
        r95c2 =r96c2 + r98c2
        r95c3 =r96c3 + r98c3
        r95c4 =r96c4 + r98c4
        r100c1 =r101c1 + r102c1
        r100c2 =r101c2 + r102c2
        r100c3 =r101c3 + r102c3
        r100c4 =r101c4 + r102c4
        r103c1 =r104c1 + r107c1 + r110c1 + r111c1 + r114c1 + r116c1 + r119c1 + r120c1+ r125c1 + r129c1 + r132c1 + r138c1
        r103c2 =r104c2 + r107c2 + r110c2 + r111c2 + r114c2 + r116c2 + r119c2 + r120c2+ r125c2 + r129c2 + r132c2 + r138c2
        r103c3 =r104c3 + r107c3 + r110c3 + r111c3 + r114c3 + r116c3 + r119c3 + r120c3+ r125c3 + r129c3 + r132c3 + r138c3
        r103c4 =r104c4 + r107c4 + r110c4 + r111c4 + r114c4 + r116c4 + r119c4 + r120c4+ r125c4 + r129c4 + r132c4 + r138c4
        r104c1 =r105c1 + r106c1
        r104c2 =r105c2 + r106c2
        r104c3 =r105c3 + r106c3
        r104c4 =r105c4 + r106c4
        r107c1 =r108c1 + r109c1
        r107c2 =r108c2 + r109c2
        r107c3 =r108c3 + r109c3
        r107c4 =r108c4 + r109c4
        r111c1 =r112c1 + r113c1
        r111c2 =r112c2 + r113c2
        r111c3 =r112c3 + r113c3
        r111c4 =r112c4 + r113c4
        r120c1 =r121c1 + r122c1 + r123c1 + r124c1
        r120c2 =r121c2 + r122c2 + r123c2 + r124c2
        r120c3 =r121c3 + r122c3 + r123c3 + r124c3
        r120c4 =r121c4 + r122c4 + r123c4 + r124c4
        r129c1 =r130c1 + r131c1
        r129c2 =r130c2 + r131c2
        r129c3 =r130c3 + r131c3
        r129c4 =r130c4 + r131c4
        r132c1 =r133c1+ r134c1 + r135c1 + r136c1 + r137c1
        r132c2 =r133c2+ r134c2 + r135c2 + r136c2 + r137c2
        r132c3 =r133c3+ r134c3 + r135c3 + r136c3 + r137c3
        r132c4 =r133c4+ r134c4 + r135c4 + r136c4 + r137c4
        r152c1 =r153c1 + r156c1 + r160c1 + r161c1 + r162c1 + r163c1
        r152c2 =r153c2 + r156c2 + r160c2 + r161c2 + r162c2 + r163c2
        r152c3 =r153c3 + r156c3 + r160c3 + r161c3 + r162c3 + r163c3
        r152c4 =r153c4 + r156c4 + r160c4 + r161c4 + r162c4 + r163c4
        r153c1 =r154c1 + r155c1
        r153c2 =r154c2 + r155c2
        r153c3 =r154c3 + r155c3
        r153c4 =r154c4 + r155c4

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F30CTot()


Procedure F30DfTot   && Defixeaza totaluri

*
* Functia defixeaza totaluri in baza de date
* 
* 
Private cda
Private zl
Private nrArtZl

zl=Select(0)
nrArtZl=GetRecNo()

 Flush && Asigur datele pe disc

Seek 4
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 5
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 9
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 41
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 44
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 54
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 55
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 61
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 69
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 79
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 86
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 92
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 95
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 100
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 103
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 104
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 107
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 111
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 120
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 129
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 132
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 152
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf
Seek 153
If Found() Then 
  If BI_F_1 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_1 With ' '
  EndIf
  If BI_F_2 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_2 With ' '
  EndIf
  If BI_F_3 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_3 With ' '
  EndIf
  If BI_F_4 != 'F' && doar daca nu e Fixata adanc (cu F mare)
    Replace BI_F_4 With ' '
  EndIf
EndIf

 Flush && Asigur datele pe disc


Select(zl)
=SetRecNo(nrArtZl)

Return &&F30DfTot()

Function	GetRecNo

	Private		nrArtCrt
	*
	* Se pozitioneaza in interiorul fisierului si
	* retine nr. articol curent
	*		0	--	Bof()
	*		-1	--	Eof()
	*		nr	--	in fisier
	*

	Do Case
		Case Bof()
			Go Top
		Case Eof()
			Go Bottom
	EndCase

	Do Case
		Case Eof() 				
			nrArtCrt = -1		
		Case Bof()				
			nrArtCrt = 0		
		Otherwise				
			nrArtCrt	= RecNo()	
	EndCase

Return (nrArtCrt)


*Ma pozitionez pe un numar de articol memorat anterior
*
* 25/02/04 13:07:52
*
* 	Pentru a nu mai avea Record is out of range; tratam erorile posibile
* 	testata in ..\teste\tSetRec
*
Function	SetRecNo
Parameters	nrArtCrt

	*
	* Se pozitioneaza in interiorul fisierului in functie de parametrul
	* de apel
	*
	*		0	--	Bof
	*		-1	--	Eof
	*		nr	--	in fisier
	*
	* 16-Feb-98 - If Used() - daca este deschisa vreo baza de date!
	* 12-Oct-02 - If Type() - cand se buseste programul, macar aici sa nu dea -
	* 12-Oct-02 - If Type() - am scos-o
	*

	Private oErr, kRet
	oErr = 'On Error '+On("ERROR")

	kRet = .T.
	On Error Do ErrSetRec


	If Used() Then


			Do Case
				Case nrArtCrt > 0
					Go (nrArtCrt)	
				Case nrArtCrt < 0 	
					Go Bottom		
				Case nrArtCrt = 0	
					Go Top			
			EndCase

		*EndIf
	EndIf


	&oErr

Return(kRet)



Function ErrSetRec

	If Used() Then
		Go Bottom
	EndIf

	kRet = .F.

Return 
